Skip to main content
`Ctrl`+`K`

# PEPSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetStoppingTest(PEP pep,PEPStop stop)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- stop - the type of stopping test, see `PEPStop`

## Options Database Keys

- -pep_stop_basic - sets the default stopping test

- -pep_stop_user - selects the user-defined stopping test

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetStoppingTest()`, `PEPSetStoppingTestFunction()`, `PEPSetConvergenceTest()`, `PEPStop`

## Level

advanced

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages